# boost::numeric::ublas::matrix_vector_binary1_traits< T1, E1, T2, E2 > Struct Template Reference

List of all members.

## Public Types

typedef unknown_storage_tag | storage_category
typedef row_major_tag | orientation_category
typedef promote_traits< T1, T2 > ::promote_type | promote_type
typedef matrix_vector_binary1 < E1, E2, matrix_vector_prod1 < E1, E2, promote_type > > | expression_type
typedef expression_type | result_type

### template<class T1, class E1, class T2, class E2>
struct boost::numeric::ublas::matrix_vector_binary1_traits< T1, E1, T2, E2 >